GDB (xrefs)

Public Attributes | List of all members
dtrace_dof_hdr Struct Reference

## Public Attributes
uint8_t | dofh_ident [16]
uint32_t | dofh_flags
uint32_t | dofh_hdrsize
uint32_t | dofh_secsize
uint32_t | dofh_secnum
uint64_t | dofh_secoff
uint64_t | dofh_loadsz
uint64_t | dofh_filesz
uint64_t | dofh_pad

## Detailed Description

Definition at line 239 of file dtrace-probe.c.

## Member Data Documentation

## ◆ dofh_filesz

uint64_t dtrace_dof_hdr::dofh_filesz

Definition at line 256 of file dtrace-probe.c.

## ◆ dofh_flags

uint32_t dtrace_dof_hdr::dofh_flags

Definition at line 244 of file dtrace-probe.c.

## ◆ dofh_hdrsize

uint32_t dtrace_dof_hdr::dofh_hdrsize

Definition at line 246 of file dtrace-probe.c.

## ◆ dofh_ident

uint8_t dtrace_dof_hdr::dofh_ident[16]

Definition at line 242 of file dtrace-probe.c.

Referenced by dtrace_process_dof().

## ◆ dofh_loadsz

uint64_t dtrace_dof_hdr::dofh_loadsz

Definition at line 254 of file dtrace-probe.c.

## ◆ dofh_pad

uint64_t dtrace_dof_hdr::dofh_pad

Definition at line 258 of file dtrace-probe.c.

## ◆ dofh_secnum

uint32_t dtrace_dof_hdr::dofh_secnum

Definition at line 250 of file dtrace-probe.c.

Referenced by dtrace_process_dof().

## ◆ dofh_secoff

uint64_t dtrace_dof_hdr::dofh_secoff

Definition at line 252 of file dtrace-probe.c.

Referenced by dtrace_process_dof().

## ◆ dofh_secsize

uint32_t dtrace_dof_hdr::dofh_secsize

Definition at line 248 of file dtrace-probe.c.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/dtrace-probe.c